/* Border box declaration
https://www.paulirish.com/2012/box-sizing-border-box-ftw/ */
html {
	box-sizing: border-box;
}

/* inherit border-box on all elements in your app */
*,
*::before,
*::after {
	box-sizing: inherit;
}

#happy-kitty-image {
	max-width: 100%;
}

#nav-links {
	display: flex;
	justify-content: space-around;
	font-size: 1.5em;
	padding-top: 10px;
}

/* Mobile */
@media screen and (max-width: 480px) {
	#main-logo {
		background: url('./images/rwd-main-logo-450x236.png') no-repeat;
		max-width: 100%;
	}

	#nav-links {
		flex-direction: column;
		align-items: center;
	}

	#nav-links > a {
		padding: 5px 0;
	}

	#site-header {
		font-size: 2.4em;
	}

	#main-header,
	#section-two-header {
		font-size: 1.9em;
	}

	p {
		font-size: 1.4em;
	}
}

/* Tablet */
@media screen and (min-width: 480px) and (max-width: 1024px) {
	#main-logo {
		background: url('./images/rwd-main-logo-600x314.png') no-repeat;
		max-width: 100%;
	}

	#site-header {
		font-size: 2.4em;
	}

	#main-header,
	#section-two-header {
		font-size: 1.9em;
	}

	p {
		font-size: 1.6em;
	}
}

/* Desktop */
@media screen and (min-width: 1025px) {
	#main-logo {
		background: url('./images/rwd-main-logo-1200x628.png') no-repeat;
		max-width: 100%;
	}

	#site-header {
		font-size: 4vw;
	}

	#main-header,
	#section-two-header {
		font-size: 3vw;
	}

	p {
		font-size: calc(5px + 1.6vw);
	}
}

#main-logo {
	padding-bottom: 56.25%;
	background-size: contain;
}

#section-one,
#section-two,
#nav-links,
header {
	max-width: 80%;
	margin: 0 auto;
}

#main-header,
#section-two-header,
#site-header {
	text-align: center;
}
